### RubyRed uses Semantic Versioning (semver)
Information on semver can be found [here](http://semver.org)  
The Changelog file reads "Top to Bottom" in chronological order, newest
versions are on top, oldest are towards the end of the file.

#### Version 1.0.0
* Added support for Discordrb v3.0.1
* Fixed several bugs related to the "lulz limiter"
* Fixed an issue where lulz related loops could occur.

#### Version 0.2.0
* Updated RubyRed to no longer have the token/appid hard-coded into the source
* Fixed the bug from issue #22 where RubyRed laughed too often
* Added a version command to display the current codebase
* Added a more conventional version tracking location
* Updated gemspec to use the conventional version tracking mechanism
* Added a random DND-style character generator

#### Version 0.1.2
* Updated the ReadMe to contain the correct minimum tested ruby version
* Updated the Gemfile to ensure that the newest version is always running
* Added a new command, !pug <num> provides a number of pictures of pugs to the user requesting them.
* Added a 'lulz' event, which will cause RubyRed to laugh along with you.

#### Version 0.1.1
* Added diagnostics command
* Fixed an issue with Heroku
* Added the first version of the drink command

#### Version 0.1.0
* Added heroku support

#### Version 0.0.2
* Refactored code to use module namespacing from earlier primitive setup
* Completed ping command

#### Version 0.0.1b
* Fixed gemspec errors which should allow building of the gem

#### Version 0.0.1a
* Class-ify-ed RubyRed to encapsulate her programming and make it easier to add and contribute code
* Added the gemspec templating
* Known Issues
  * Gem was not buildable due to a handful of errors

#### Version 0.0.1
* Created basic bot runtime using DiscordRB
* Implemented Ping/Pong test to verify she is able to respond
